%define rel 6
%define bzr 0

%define major 1
%define library_name awn
%define libname %mklibname %library_name %major
%define develname %mklibname %library_name -d

%define oldlibname %mklibname %library_name 0

%if %bzr
%define srcname %{name}-%{bzr}
%define distname %{name}
%define release %mkrel 0.%{bzr}.%{rel}
%else
%define srcname %{name}-%{version}
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

Summary:	AWN - a Dock-style window selector for GNOME
Name:		avant-window-navigator
Version:	0.4.0
Release:	%{release}
Source0:	http://launchpad.net/awn/0.4/%{version}/+download/%{srcname}.tar.gz
# add upstream patch to fix unintialized null pointer
Patch0:		avant-window-navigator-0.4.0-688_687.diff
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://launchpad.net/awn
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	intltool
BuildRequires:	libgtk+2-devel
BuildRequires:	libwnck-devel
BuildRequires:	libgtop2.0-devel
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	libdesktop-agnostic-devel
BuildRequires:	vala
BuildRequires:	dbus-glib-devel
BuildRequires:	pyxdg
BuildRequires:	GConf2
Requires:	pyxdg
Requires:	pygtk2
Requires:	python-dbus
Requires:	bzr
Obsoletes:	%oldlibname

%description
Avant Window Navigator (AWN) is a dock-style window list for GNOME. It
provides a view of your running applications in a dock at the bottom
of the screen, identified by their icon.

%package -n %{libname}
Group: System/Libraries
Summary: Shared libraries for avant-window-navigator
Requires: %{name} >= %{version}-%{release}

%description -n %{libname}
Avant Window Navigator (AWN) is a dock-style window list for GNOME. It
provides a view of your running applications in a dock at the bottom
of the screen, identified by their icon. This package contains the
shared library for AWN.

%package -n %{develname}
Group: Development/C
Summary: Development libraries for avant-window-navigator
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{library_name}-devel = %{version}-%{release}

%description -n %{develname}
Avant Window Navigator (AWN) is a dock-style window list for GNOME. It
provides a view of your running applications in a dock at the bottom
of the screen, identified by their icon. This package contains
development libraries and headers for AWN.

%prep
%setup -q -n %{distname}
%patch0 -p0

%build
%if %bzr
./autogen.sh -V
%endif
%configure2_5x --disable-static \
	--with-vala \
	--with-gnu-ld \
	--enable-shave \
	--with-gconf-schema-file-dir=%{_sysconfdir}/gconf/schemas/ 
%make

%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std

%find_lang %{name} --with-html

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# don't ship .a and .la
find %{buildroot} -name "*.*a" -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%{name}
%{_bindir}/avant-window-navigator
%{_bindir}/awn-applet
%{_bindir}/awn-settings
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/awn-settings.desktop
%{_iconsdir}/hicolor/*/*/*
%{python_sitearch}/awn/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libawn.so.%{major}*
%{_libdir}/awn/applets/expander/expander.so
%{_libdir}/awn/applets/quick-prefs/quick-prefs.so
%{_libdir}/awn/applets/separator/separator.so
%{_libdir}/awn/applets/taskmanager/taskmanager.so

%files -n %{develname}
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/lib%{library_name}
%{_includedir}/lib%{library_name}
%{_libdir}/libawn.so
%{_libdir}/pkgconfig/%{library_name}.pc
%{_datadir}/vala/vapi/awn.*
%{_datadir}/pygtk/2.0/defs/awn.defs


%changelog
* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 0.4.0-6mdv2011.0
+ Revision: 677125
- br gconf2
- rebuild to add gconf2 as req

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 0.4.0-5mdv2011.0
+ Revision: 590150
- rebuild for python 2.7

* Fri Apr 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.0-5mdv2010.1
+ Revision: 535688
- fix requires

* Fri Apr 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.0-4mdv2010.1
+ Revision: 535601
- add missing requires

* Fri Apr 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.0-3mdv2010.1
+ Revision: 535480
- add missing requires
- improve libname requires

* Thu Apr 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.0-2mdv2010.1
+ Revision: 535108
- oboslete old lib

* Wed Apr 14 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.0-1mdv2010.1
+ Revision: 534925
- Add missing BR
- add missing BR
- new upstream release 0.4.0
- add upstream patch to fix unintialized null pointer

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 0.3.2.1-4mdv2010.1
+ Revision: 490567
- rebuild for new libgnome-desktop

* Sat May 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.2.1-3mdv2010.0
+ Revision: 379046
- Fix installation of the Python bindings on 64bit systems.
- Update to new version 0.3.2.1
- Fix source URL

* Mon Feb 09 2009 Adam Williamson <awilliamson@mandriva.org> 0.3.2-3mdv2009.1
+ Revision: 338669
- now has both platsitedir and puresitedir for python
- actually, there's a configure option to disable it
- br pygtk2.0-libglade (damn compile-time checks for things only needed at runtime)
- drop string literal workaround, add README.urpmi
- adjust spec bits for new release
- drop platsitedir.patch (merged upstream)
- new release 0.3.2

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.6-9mdv2009.1
+ Revision: 318771
- disable string literal protection (has some errors I don't know how to fix,
  will report upstream)
- rebuild for python 2.6

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.6-8mdv2009.1
+ Revision: 301021
- rebuilt against new libxcb

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 0.2.6-7mdv2009.1
+ Revision: 300225
- rebuild for new gnome-desktop

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.2.6-6mdv2009.0
+ Revision: 242324
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.2.6-5mdv2009.0
+ Revision: 218428
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- gconf schemas were re-enabled on 2008-02-23, but not completly

* Tue Mar 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.6-5mdv2008.1
+ Revision: 190186
- mention 'awn' in summary and descriptions for easy searching

* Wed Mar 19 2008 Götz Waschk <waschk@mandriva.org> 0.2.6-4mdv2008.1
+ Revision: 188866
- rebuild for missing package

* Mon Feb 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.6-3mdv2008.1
+ Revision: 175069
- adjust platsitedir.patch to put all files in platsitedir, not split between plat and pure (colin g. reports this causes problems)

* Sun Feb 24 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.6-2mdv2008.1
+ Revision: 174247
- pre-generate some .pyc and .pyos that aren't done by the build scripts (per python policy)
- adjust file list for last fix
- replace the quick platsitedir workaround with upstream's proposed patch
- drop schemas.patch, it was wrong (my mistake)

* Sun Feb 24 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.6-1mdv2008.1
+ Revision: 174222
- need to run autoconf after previous fix...
- package vala bindings (in devel)
- hack acinclude.m4 so the python stuff gets installed to platsitedir not puresitedir
- buildrequires pyxdg and vala, requires pyxdg
- add schemas.patch to fix --disable-schemas-install
- few style cleanups
- new release 0.2.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.2.1-3mdv2008.1
+ Revision: 110770
- require gnome-python-applet, not gnome-python-applets

* Mon Nov 19 2007 Adam Williamson <awilliamson@mandriva.org> 0.2.1-2mdv2008.1
+ Revision: 110548
- add some missing requirements (#35567)

* Wed Nov 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.1-1mdv2008.1
+ Revision: 106615
- New version

* Wed Oct 10 2007 Adam Williamson <awilliamson@mandriva.org> 0.2-1mdv2008.1
+ Revision: 96627
- disable schemas stuff for now as the schemas are in plugins and they're not in this build
- new release 0.2

  + Colin Guthrie <cguthrie@mandriva.org>
    - Update snapshot

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.2-0.88.1mdv2008.0
+ Revision: 80583
- new snapshot 88

* Sun Sep 02 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-0.81.1mdv2008.0
+ Revision: 78250
- Add buildrequires on gnome-python
- Add buildrequires on pygtk
- Add buildrequires on python-devel
- Update snapshot

* Sat Aug 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-0.67.1mdv2008.0
+ Revision: 71232
- Update snapshot

* Sun Aug 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-0.52.1mdv2008.0
+ Revision: 67140
- Update snapshot (new config UI amongst other things)

* Tue Aug 14 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.2-0.35.1mdv2008.0
+ Revision: 63436
- use %%{major} in file list to protect against major upgrades in future
- drop some useless icon resolutions and old icons
- use fedora license policy (GPLv2+)
- arbitrarily update version to 0.12 to simplify versioning
- new snapshot 35

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-228.32.1mdv2008.0
+ Revision: 62147
- Update snapshot

* Sun Aug 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-228.24.1mdv2008.0
+ Revision: 58991
- Update Snapshot

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-228.12.1mdv2008.0
+ Revision: 57846
- Update snapshot

* Tue Jul 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-227.1mdv2008.0
+ Revision: 52844
- New snapshot: svn 227
- Slight spec file clean

* Sat Jun 30 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.1-214.1mdv2008.0
+ Revision: 46024
- new svn snapshot 214

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.1-201.2mdv2008.0
+ Revision: 41614
- also provide awn-devel
- BuildRequires xcomposite and xdamage

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.1-201.1mdv2008.0
+ Revision: 41547
- BuildRequires libglade2.0-devel
- new svn snapshot 201; libified

* Thu Jun 07 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.1-186.1mdv2008.0
+ Revision: 36296
- package new files
- new svn snapshot 186
- new snapshot 179, clean spec a little

* Tue Apr 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-173.1mdv2007.1
+ Revision: 13648
- Update to 0.1.1 (svn173)


* Wed Mar 21 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-166.1mdv2007.1
+ Revision: 147799
- fix desktop files
- icons according to fd.o / mdv specs
- update menus in %%post
- new svn snapshot 166

  + Sébastien Savarin <plouf@mandriva.org>
    - revision 160
    - svn 158

* Wed Mar 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-156.2mdv2007.1
+ Revision: 134873
- bump for a rebuild - build failed due to repository errors on build cluster
- svn 156

* Thu Mar 01 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-143.1mdv2007.0
+ Revision: 130295
- bump to SVN rev 143
- fix up spec

  + Sébastien Savarin <plouf@mandriva.org>
    - Add requires
    - Import avant-window-navigator

